import 'package:get/get.dart';
import 'package:hallo_doctor_client/app/models/time_slot_model.dart';
import 'package:hallo_doctor_client/app/service/payment_service.dart';

import '../../../service/user_service.dart';

class MidtransPaymentController extends GetxController {
  //TODO: Implement MidtransPaymentController

  final count = 0.obs;
  String? token = Get.arguments[0];
  final TimeSlot selectedTimeSlot = Get.arguments[1];
  @override
  void onInit() async {
    super.onInit();
    // token = await PaymentService().getMitransSnapToken(
    //   selectedTimeSlot.timeSlotId!,
    //   UserService().getUserId(),
    // );
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }

  void increment() => count.value++;
}
